<template>
  <mt-affichable :id="id" :affichage="affichage">
    <b-carousel v-model="slide" :autoplay="false" :arrow="false">
      <b-carousel-item>
        <mt-participer-slide1 @next="slide = 1"></mt-participer-slide1>
      </b-carousel-item>
      <b-carousel-item>
        <mt-participer-slide2 @next="slide = 2" @previous="slide = 0"></mt-participer-slide2>
      </b-carousel-item>
      <b-carousel-item>
        <mt-participer-slide3 @next="slide = 3" @previous="slide = 1"></mt-participer-slide3>
      </b-carousel-item>
      <b-carousel-item>
        <mt-participer-slide4 @previous="slide = 2" @next="slide = 4"></mt-participer-slide4>
      </b-carousel-item>
      <b-carousel-item>
        <mt-participer-slide5 @next="slide = 5" @previous="slide = 3"></mt-participer-slide5>
      </b-carousel-item>
      <b-carousel-item>
        <mt-participer-slide6 @next="slide = 6" @previous="slide = 4"></mt-participer-slide6>
      </b-carousel-item>
      <b-carousel-item>
        <mt-participer-slide7 @next="slide = 7" @previous="slide = 5"></mt-participer-slide7>
      </b-carousel-item>
      <b-carousel-item>
        <mt-participer-slide8 @previous="slide = 6" @close="$emit('close')"></mt-participer-slide8>
      </b-carousel-item>
    </b-carousel>
  </mt-affichable>
</template>

<script>
import MtParticiperSlide1 from '~/components/nouveaute/participer/slide1';
import MtParticiperSlide2 from '~/components/nouveaute/participer/slide2';
import MtParticiperSlide3 from '~/components/nouveaute/participer/slide3';
import MtParticiperSlide4 from '~/components/nouveaute/participer/slide4';
import MtAffichable from '~/components/nouveaute/affichable';
import MtParticiperSlide5 from '~/components/nouveaute/participer/slide5';
import MtParticiperSlide6 from '~/components/nouveaute/participer/slide6';
import MtParticiperSlide7 from '~/components/nouveaute/participer/slide7';
import MtParticiperSlide8 from '~/components/nouveaute/participer/slide8';

export default {
  name: 'MtNouveauteParticiper',
  components: {
    MtParticiperSlide8,
    MtParticiperSlide7,
    MtParticiperSlide6,
    MtParticiperSlide5,
    MtAffichable,
    MtParticiperSlide4,
    MtParticiperSlide3,
    MtParticiperSlide2,
    MtParticiperSlide1,
  },
  props: {
    affichage: {
      type: Array,
      default: () => [],
      required: true,
    },
    id: {
      type: String,
      default: '16/09/2020',
      required: true,
    },
  },
  data() {
    return {
      slide: 0,
    };
  },
};
</script>

<style scoped lang="scss">
/deep/ {
  .mt-close {
    display: none;
  }
  .mt-modal {
    padding: 0;
  }
}
</style>
